### CollectNamed

Category

Structuring

Function

Collects named objects together in a group.

Syntax

    group = CollectNamed(object, name, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | none | object to be collected
`name` | string | none | name of object
`...` |  |  | additional object-name pair(s)

Outputs

Name | Type | Description
--- | --- | ---
`group` | group | the group of objects

Functional Details

This module creates, from specified objects, a group of named members.

`object` | is an object to be placed in the group.
`name` | is the name to be associated with the preceding object. Each name must be unique.

The input parameters `object` and `name` must be paired. Objects can then be selected from the group by name or by number (see Select).

Note that fields placed in the generic group created by the module are treated individually (compare CollectMultiGrid). For example, AutoColor colors each field in the group according to the minimum and maximum data values of that field, and Sample samples each field individually.

A single CollectNamed module can collect up to 21 objects together in a group. The default number of enabled parameter pairs (i.e., `object`, `name`) is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

Components

All input components are propagated to the output.

See Also

Append, Collect, CollectMultiGrid, CollectSeries, Select

[ OpenDX Home at IBM | OpenDX.org ]